Subject: Re: [PATCH v7] xfrm: add SA information to the offloaded packet when if_id is set

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Dec 2024 19:20:48 -0800

On Tue, 10 Dec 2024 10:38:34 +0100 Steffen Klassert wrote:
> > This patch was done based on our previous discussion.  I did the
> > changes we agreed on.  
> 
> there is still no real packet offload support for netdev sim.
> And as said, this is at most the second best option.
> 
> You need to prove that this works. I want a complete API,
> but I also want a working one.
> 
> The easiest way to prove that this is implemented correctly
> is to upstream your driver. Everyting else is controversial
> and complicated.

Yes, I don't have full context but FWIW offload changes accompanied 
by just netdevsim modifications raise a red flag:

Quoting documentation:

  netdevsim
  ~~~~~~~~~
  
  ``netdevsim`` is a test driver which can be used to exercise driver
  configuration APIs without requiring capable hardware.
  Mock-ups and tests based on ``netdevsim`` are strongly encouraged when
  adding new APIs, but ``netdevsim`` in itself is **not** considered
  a use case/user. You must also implement the new APIs in a real driver.
  
  We give no guarantees that ``netdevsim`` won't change in the future
  in a way which would break what would normally be considered uAPI.
  
  ``netdevsim`` is reserved for use by upstream tests only, so any
  new ``netdevsim`` features must be accompanied by selftests under
  ``tools/testing/selftests/``.
  
See: https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#netdevsim